de.esprit.netsuite.server.core

## Class ServerStatisticManager

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<S>
      - - de.esprit.netsuite.server.AbstractInitializableServerObject<ServerContext>
        - - de.esprit.netsuite.server.core.ServerStatisticManager

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, CloseableComponent, Initializable, SimpleLogSupport, Dumpable, Resettable, ServerObject<ServerContext>, java.lang.AutoCloseable

      public class ServerStatisticManager
      extends AbstractInitializableServerObject<ServerContext>
      implements Resettable, CloseableComponent

  This manager contains a singleton `ServerStatistic` instance as well as a thread which updates it repeatedly after the configured delay.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerStatisticManager(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `ServerStatistic` | `getServerStatistic()` Returns the ServerStatistic singleton instance
    `void` | `init()` Performs the initialization of this class.
    `ServerStatistic` | `newStatisticSnapshot()` Returns a freshly updated clone of the ServerStatistic singleton instance
    `void` | `reset()` This method is called by the ResetButton on it's registered target.

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractInitializableServerObject

      `checkInitialized, isInitialized, setInitialized, toString`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerStatisticManager

          public ServerStatisticManager(ServerContext serverCtx)

  - ### Method Detail

    - #### init

          public void init()

      Description copied from interface: `Initializable`
      Performs the initialization of this class. Note that the implementation should maintain an isInitialized flag which must be set when initialization has completed.
      Specified by:
        `init` in interface `Initializable`

    - #### reset

          public void reset()

      Description copied from interface: `Resettable`
      This method is called by the ResetButton on it's registered target.
      Specified by:
        `reset` in interface `Resettable`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### getServerStatistic

          public ServerStatistic getServerStatistic()

      Returns the ServerStatistic singleton instance

    - #### newStatisticSnapshot

          public ServerStatistic newStatisticSnapshot()

      Returns a freshly updated clone of the ServerStatistic singleton instance

Copyright © 2014 EsprIT-Systems. All Rights Reserved.